with System;
with Interfaces.C;
use  type interfaces.c.unsigned;
with text_io;

with gl, gl.binding, gl.pointers;
with glu, glu.binding, glu.pointers;
with glext, glext.binding, glext.pointers;




package body dumpgl is

	use gl;
	use text_io;


-- note:  for production code 
-- disable the raising of exceptions 
-- when GL errors occur by setting dbug to false:

function dumpGLerrorQueue(id: string) return integer is
	use gl.binding;
	errno: interfaces.c.unsigned;
	isAnError: boolean;
	ercount: integer := 0;
begin
	isAnError:=false;
	loop
		errno:=glGetError;
		exit when errno=gl_no_error;
		ercount:=ercount+1;
		isAnError:=true;

		if dbug then
			put("GLerror=");
			put(interfaces.c.unsigned'image(errno));
			if errno=1280 then
				put("=invalid_enum");
			elsif errno=1281 then
				put("=invalid_value");
			elsif errno=1282 then
				put("=invalid_operation");
			elsif errno=1283 then
				put("=stack_overflow");
			elsif errno=1284 then
				put("=stack_underflow");
			elsif errno=1285 then
				put("=out_of_memory");
			end if;
			new_line;
		end if; --dbug
	end loop;
	if isAnError and dbug then
		put_line("...@ id="&id);
	end if;
	return ercount;
end dumpGLerrorQueue;
--
-- 16#0#   =    0 = no_error
-- 16#500# = 1280 = invalid_enum
-- 16#501# = 1281 = invalid_value
-- 16#502# = 1282 = invalid_operation
-- 16#503# = 1283 = stack_overflow
-- 16#504# = 1284 = stack_underflow
-- 16#505# = 1285 = out_of_memory
--





end dumpgl;

